Browse Source

Добавил healthcheck. Убрал crontab, добавил задание в helthcheck

OBT-SYSADM\tomishinets 6 years ago
parent
commit
90e1e51f5b
2 changed files with 14 additions and 4 deletions
  1. 4 4
      Dockerfile
  2. 10 0
      healthcheck.sh

+ 4 - 4
Dockerfile

@@ -5,11 +5,11 @@ LABEL maintainer="tomishinets.v@sdsys.ru"
 COPY nginx.repo /etc/yum.repos.d/nginx.repo
 COPY generate.sh \
      renewal.sh \
-     docker-entrypoint.sh \
+     healthcheck.sh \
      /tmp/
 
 RUN yum install -y epel-release \
-    && yum install -y yum-utils python2-certbot-nginx openssl ca-certificates cronie mailx nginx \
+    && yum install -y yum-utils python2-certbot-nginx openssl ca-certificates mailx nginx \
     && yum install -y https://centos7.iuscommunity.org/ius-release.rpm \
     && yum install -y git2u \
     && yum clean all \
@@ -19,7 +19,7 @@ RUN yum install -y epel-release \
     && touch /var/log/letsencrypt/letsencrypt.log \
     && chmod +x /tmp/generate.sh \
     && chmod +x /tmp/renewal.sh \
-    && chmod +x /tmp/docker-entrypoint.sh \
+    && chmod +x /tmp/healthcheck.sh \
 #    && ln -sf /dev/stdout /var/log/letsencrypt/letsencrypt.log \
     && ln -sf /dev/stdout /var/log/nginx/access.log \
     && ln -sf /dev/stderr /var/log/nginx/error.log
@@ -27,6 +27,6 @@ RUN yum install -y epel-release \
 COPY default.conf /etc/nginx/conf.d/
 
 ENTRYPOINT ["/tmp/docker-entrypoint.sh"]
-
+HEALTHCHECK --start-period=30s --interval=15s --timeout=5s --retries=2 CMD /tmp/healthcheck.sh
 EXPOSE 80
 CMD ["nginx", "-g", "daemon off;"]

+ 10 - 0
healthcheck.sh

@@ -0,0 +1,10 @@
+#!/bin/bash
+
+renewal() {
+  /tmp/renewal.sh
+  touch /tmp/renewal
+}
+file=`find /tmp -name renewal -type f -mtime +1`
+if [[ -z ${file} ]];then echo "Обновление сертификатов и ключей не требуется"; else renewal;fi
+
+curl -f http://localhost || exit 1